--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop schema (tables) in DB2 on iSeries
-- Process this script in the DB2 command line processor
----------------------------------------------------------------------
-- The following variable needs to be changed for customization and
-- before running this script.
-- @SCHEMA@ = Collection name
----------------------------------------------------------------------
-- example: db2 -tf dropSchema_Observer.sql


-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.OBSERVER_VERSION;

DROP TABLE @SCHEMA@.INST_PRC_T;

DROP TABLE @SCHEMA@.INST_ACT_T;

DROP TABLE @SCHEMA@.EVENT_PRC_T;

DROP TABLE @SCHEMA@.EVENT_ACT_T;

DROP TABLE @SCHEMA@.QUERY_T;

DROP TABLE @SCHEMA@.SLICES_T;

DROP TABLE @SCHEMA@.OPEN_EVENTS_T;

--------------------------------------------------------------------------------
--  Licensed Materials - Property of IBM
--  5655-FLW (C) Copyright IBM Corporation 2005,2007.
--  All Rights Reserved.
--  US Government Users Restricted Rights-
--  Use, duplication or disclosure restricted
--  by GSA ADP Schedule Contract with IBM Corp.
--------------------------------------------------------------------------------
--   Version 1.3
--   Last update: 07/07/17 03:11:31
--------------------------------------------------------------------------------
--
-- SQL snippet to drop Observer UDFs
-- for DB2 (iSeries)
--
--------------------------------------------------------------------------------
--
-- Note:
--
-- If you used the java based Observer functions, you also must uninstall the
-- jar file bpcodbutil.jar from the database using the setupEventCollector tool
-- or by using the following command within the qshell, locally on the database
-- server, connected to the database:
--
--    db2 "call sqlj.remove_jar('<SCHEMA>.BPCODBUTIL','0')"
--
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Following variables needs to be changed for customization and
-- before running this script:
--
--   @SCHEMA@ = Collection/Schema Qualifier
--------------------------------------------------------------------------------

--------------------
-- Drop functions --
--------------------

DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP,  TIMESTAMP);
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP,  VARCHAR(26));
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26),  TIMESTAMP);
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26),  VARCHAR(26));

DROP FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE();
