--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop tablespaces for DB2 v9 on z/OS
----------------------------------------------------------------------
-- Following variables needs to be changed for customization and 
-- before running this script:
--   @DB_NAME@ = DB2 Database name
----------------------------------------------------------------------
-- Run the script with the following sequence:
--      db2 connect to OBSVRDB
--      db2 -tf dropTablespace_Observer.sql


-- If the current database schema was migrated from a previous
-- version, some of the auxillary table spaces to be deleted
-- might not exist and therefore warning messages are displayed.
-- In addition, if auxillary table spaces from a a previous version
-- are still in your database, drop them manually.


------------------------------
-- Drop regular tablespaces --
------------------------------

DROP TABLESPACE @DB_NAME@.OBSVR01;
DROP TABLESPACE @DB_NAME@.OBSVR02;
DROP TABLESPACE @DB_NAME@.OBSVR03;
DROP TABLESPACE @DB_NAME@.OBSVR04;
DROP TABLESPACE @DB_NAME@.OBSVR05;
DROP TABLESPACE @DB_NAME@.OBSVR06;
DROP TABLESPACE @DB_NAME@.OBSVR07;
DROP TABLESPACE @DB_NAME@.OBSVR08;

------------------------------------------------
-- Drop auxiliary tablespaces for LOB columns --
------------------------------------------------

DROP TABLESPACE @DB_NAME@.OS26201;
DROP TABLESPACE @DB_NAME@.OS26202;
DROP TABLESPACE @DB_NAME@.OS26203;
DROP TABLESPACE @DB_NAME@.OS26204;
--
--
--
