--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop tablespaces for DB2 v8 on z/OS
----------------------------------------------------------------------
-- Following variables needs to be changed for customization and 
-- before running this script:
--   @DB_NAME@ = DB2 Database name
----------------------------------------------------------------------
-- Run the script with the following sequence:
--      db2 connect to BPEDB
--      db2 -tf dropTablespace.sql


-- If the current database schema was migrated from a previous
-- version, some of the auxillary table spaces to be deleted
-- might not exist and therefore warning messages are displayed.
-- In addition, if auxillary table spaces from a a previous version
-- are still in your database, drop them manually.


------------------------------
-- Drop regular tablespaces --
------------------------------

DROP TABLESPACE @DB_NAME@.AUDIT01;
DROP TABLESPACE @DB_NAME@.AUDIT02;
DROP TABLESPACE @DB_NAME@.INST805;
DROP TABLESPACE @DB_NAME@.INST816;
DROP TABLESPACE @DB_NAME@.INST836;
DROP TABLESPACE @DB_NAME@.INSTA01;
DROP TABLESPACE @DB_NAME@.INSTA02;
DROP TABLESPACE @DB_NAME@.INSTA03;
DROP TABLESPACE @DB_NAME@.INSTA04;
DROP TABLESPACE @DB_NAME@.INSTA06;
DROP TABLESPACE @DB_NAME@.INSTA07;
DROP TABLESPACE @DB_NAME@.INSTA08;
DROP TABLESPACE @DB_NAME@.INSTA09;
DROP TABLESPACE @DB_NAME@.INSTA10;
DROP TABLESPACE @DB_NAME@.INSTA12;
DROP TABLESPACE @DB_NAME@.INSTA13;
DROP TABLESPACE @DB_NAME@.INSTA14;
DROP TABLESPACE @DB_NAME@.INSTA15;
DROP TABLESPACE @DB_NAME@.INSTA17;
DROP TABLESPACE @DB_NAME@.INSTA18;
DROP TABLESPACE @DB_NAME@.INSTA19;
DROP TABLESPACE @DB_NAME@.INSTA20;
DROP TABLESPACE @DB_NAME@.INSTA21;
DROP TABLESPACE @DB_NAME@.INSTA22;
DROP TABLESPACE @DB_NAME@.INSTA23;
DROP TABLESPACE @DB_NAME@.INSTA24;
DROP TABLESPACE @DB_NAME@.INSTA26;
DROP TABLESPACE @DB_NAME@.INSTA27;
DROP TABLESPACE @DB_NAME@.INSTA31;
DROP TABLESPACE @DB_NAME@.INSTA32;
DROP TABLESPACE @DB_NAME@.INSTA33;
DROP TABLESPACE @DB_NAME@.INSTA34;
DROP TABLESPACE @DB_NAME@.INSTA35;
DROP TABLESPACE @DB_NAME@.INSTA37;
DROP TABLESPACE @DB_NAME@.INSTA38;
DROP TABLESPACE @DB_NAME@.INSTA39;
DROP TABLESPACE @DB_NAME@.INSTA40;
DROP TABLESPACE @DB_NAME@.INSTA41;
DROP TABLESPACE @DB_NAME@.INSTA42;
DROP TABLESPACE @DB_NAME@.INSTA43;
DROP TABLESPACE @DB_NAME@.INSTA44;
DROP TABLESPACE @DB_NAME@.INSTA45;
DROP TABLESPACE @DB_NAME@.INSTA46;
DROP TABLESPACE @DB_NAME@.INSTA48;
DROP TABLESPACE @DB_NAME@.INSTA49;
DROP TABLESPACE @DB_NAME@.INSTA50;
DROP TABLESPACE @DB_NAME@.INSTA51;
DROP TABLESPACE @DB_NAME@.INSTA52;
DROP TABLESPACE @DB_NAME@.INSTA53;
DROP TABLESPACE @DB_NAME@.INSTA54;
DROP TABLESPACE @DB_NAME@.INSTA55;
DROP TABLESPACE @DB_NAME@.INSTA56;
DROP TABLESPACE @DB_NAME@.INSTA57;
DROP TABLESPACE @DB_NAME@.INSTA58;
DROP TABLESPACE @DB_NAME@.INSTA59;
DROP TABLESPACE @DB_NAME@.INSTA60;
DROP TABLESPACE @DB_NAME@.INSTA61;
DROP TABLESPACE @DB_NAME@.INSTA62;
DROP TABLESPACE @DB_NAME@.INSTA63;
DROP TABLESPACE @DB_NAME@.INSTA64;
DROP TABLESPACE @DB_NAME@.INSTA65;
DROP TABLESPACE @DB_NAME@.INSTA66;
DROP TABLESPACE @DB_NAME@.INSTA67;
DROP TABLESPACE @DB_NAME@.INSTA68;
DROP TABLESPACE @DB_NAME@.INSTA69;
DROP TABLESPACE @DB_NAME@.INSTA70;
DROP TABLESPACE @DB_NAME@.INSTA71;
DROP TABLESPACE @DB_NAME@.INSTA72;
DROP TABLESPACE @DB_NAME@.INSTA73;
DROP TABLESPACE @DB_NAME@.INSTA74;
DROP TABLESPACE @DB_NAME@.INSTA75;
DROP TABLESPACE @DB_NAME@.STAF801;
DROP TABLESPACE @DB_NAME@.STAFF02;
DROP TABLESPACE @DB_NAME@.TEMP802;
DROP TABLESPACE @DB_NAME@.TEMP808;
DROP TABLESPACE @DB_NAME@.TEMP836;
DROP TABLESPACE @DB_NAME@.TEMPL01;
DROP TABLESPACE @DB_NAME@.TEMPL03;
DROP TABLESPACE @DB_NAME@.TEMPL04;
DROP TABLESPACE @DB_NAME@.TEMPL05;
DROP TABLESPACE @DB_NAME@.TEMPL06;
DROP TABLESPACE @DB_NAME@.TEMPL07;
DROP TABLESPACE @DB_NAME@.TEMPL09;
DROP TABLESPACE @DB_NAME@.TEMPL10;
DROP TABLESPACE @DB_NAME@.TEMPL11;
DROP TABLESPACE @DB_NAME@.TEMPL12;
DROP TABLESPACE @DB_NAME@.TEMPL13;
DROP TABLESPACE @DB_NAME@.TEMPL14;
DROP TABLESPACE @DB_NAME@.TEMPL15;
DROP TABLESPACE @DB_NAME@.TEMPL16;
DROP TABLESPACE @DB_NAME@.TEMPL17;
DROP TABLESPACE @DB_NAME@.TEMPL18;
DROP TABLESPACE @DB_NAME@.TEMPL19;
DROP TABLESPACE @DB_NAME@.TEMPL20;
DROP TABLESPACE @DB_NAME@.TEMPL21;
DROP TABLESPACE @DB_NAME@.TEMPL22;
DROP TABLESPACE @DB_NAME@.TEMPL23;
DROP TABLESPACE @DB_NAME@.TEMPL24;
DROP TABLESPACE @DB_NAME@.TEMPL25;
DROP TABLESPACE @DB_NAME@.TEMPL26;
DROP TABLESPACE @DB_NAME@.TEMPL27;
DROP TABLESPACE @DB_NAME@.TEMPL28;
DROP TABLESPACE @DB_NAME@.TEMPL29;
DROP TABLESPACE @DB_NAME@.TEMPL30;
DROP TABLESPACE @DB_NAME@.TEMPL31;
DROP TABLESPACE @DB_NAME@.TEMPL32;
DROP TABLESPACE @DB_NAME@.TEMPL33;
DROP TABLESPACE @DB_NAME@.TEMPL34;
DROP TABLESPACE @DB_NAME@.TEMPL35;
DROP TABLESPACE @DB_NAME@.TEMPL37;
DROP TABLESPACE @DB_NAME@.TEMPL38;
DROP TABLESPACE @DB_NAME@.TEMPL39;
DROP TABLESPACE @DB_NAME@.TEMPL40;
DROP TABLESPACE @DB_NAME@.TEMPL41;
DROP TABLESPACE @DB_NAME@.TEMPL42;
DROP TABLESPACE @DB_NAME@.TEMPL43;
DROP TABLESPACE @DB_NAME@.TEMPL44;
DROP TABLESPACE @DB_NAME@.TEMPL45;
DROP TABLESPACE @DB_NAME@.TEMPL46;
DROP TABLESPACE @DB_NAME@.TEMPL47;
DROP TABLESPACE @DB_NAME@.TEMPL48;
DROP TABLESPACE @DB_NAME@.TEMPL49;
DROP TABLESPACE @DB_NAME@.TEMPL50;
DROP TABLESPACE @DB_NAME@.TEMPL51;
DROP TABLESPACE @DB_NAME@.TEMPL52;
DROP TABLESPACE @DB_NAME@.TEMPL53;
DROP TABLESPACE @DB_NAME@.TEMPL54;
DROP TABLESPACE @DB_NAME@.TEMPL55;
DROP TABLESPACE @DB_NAME@.TEMPL56;
DROP TABLESPACE @DB_NAME@.WORKI01;
DROP TABLESPACE @DB_NAME@.WORKI03;
DROP TABLESPACE @DB_NAME@.WORKI04;
DROP TABLESPACE @DB_NAME@.WORKI05;
DROP TABLESPACE @DB_NAME@.WORKI06;
DROP TABLESPACE @DB_NAME@.WORKI07;

------------------------------------------------
-- Drop auxiliary tablespaces for LOB columns --
------------------------------------------------

DROP TABLESPACE @DB_NAME@.AS2bc01;
DROP TABLESPACE @DB_NAME@.AS2bc02;
DROP TABLESPACE @DB_NAME@.AS2bc03;
DROP TABLESPACE @DB_NAME@.AS2bc04;
DROP TABLESPACE @DB_NAME@.AS2bc05;
DROP TABLESPACE @DB_NAME@.AS2bc06;
DROP TABLESPACE @DB_NAME@.AS2bc07;
DROP TABLESPACE @DB_NAME@.AS2bc08;
DROP TABLESPACE @DB_NAME@.AS2bc09;
DROP TABLESPACE @DB_NAME@.AS2bc0A;
DROP TABLESPACE @DB_NAME@.AS2bc0B;
DROP TABLESPACE @DB_NAME@.AS2bc0C;
DROP TABLESPACE @DB_NAME@.AS2bc0D;
DROP TABLESPACE @DB_NAME@.AS2bc0E;
DROP TABLESPACE @DB_NAME@.AS2bc0F;
DROP TABLESPACE @DB_NAME@.AS2bc10;
DROP TABLESPACE @DB_NAME@.AS2bc11;
DROP TABLESPACE @DB_NAME@.AS2bc12;
DROP TABLESPACE @DB_NAME@.AS2bc13;
DROP TABLESPACE @DB_NAME@.AS2bc14;
DROP TABLESPACE @DB_NAME@.AS2bc15;
DROP TABLESPACE @DB_NAME@.AS2bc16;
DROP TABLESPACE @DB_NAME@.AS2bc17;
DROP TABLESPACE @DB_NAME@.AS2bc18;
DROP TABLESPACE @DB_NAME@.AS2bc19;
DROP TABLESPACE @DB_NAME@.AS2bc1A;
DROP TABLESPACE @DB_NAME@.AS2bc1B;
DROP TABLESPACE @DB_NAME@.AS2bc1C;
DROP TABLESPACE @DB_NAME@.AS2bc1D;
DROP TABLESPACE @DB_NAME@.AS2bc1E;
DROP TABLESPACE @DB_NAME@.AS2bc1F;
DROP TABLESPACE @DB_NAME@.AS2bc20;
DROP TABLESPACE @DB_NAME@.AS2bc21;
DROP TABLESPACE @DB_NAME@.AS2bc22;
DROP TABLESPACE @DB_NAME@.AS2bc23;
DROP TABLESPACE @DB_NAME@.AS2bc24;
DROP TABLESPACE @DB_NAME@.AS2bc25;
DROP TABLESPACE @DB_NAME@.AS2bc26;
DROP TABLESPACE @DB_NAME@.AS2bc27;
DROP TABLESPACE @DB_NAME@.AS2bc28;
DROP TABLESPACE @DB_NAME@.AS2bc29;
DROP TABLESPACE @DB_NAME@.AS2bc2A;
DROP TABLESPACE @DB_NAME@.AS2bc2B;
DROP TABLESPACE @DB_NAME@.AS2bc2C;
DROP TABLESPACE @DB_NAME@.AS2bc2D;
DROP TABLESPACE @DB_NAME@.AS2bc2E;
DROP TABLESPACE @DB_NAME@.AS2bc2F;
DROP TABLESPACE @DB_NAME@.AS2bc30;
DROP TABLESPACE @DB_NAME@.AS2bc31;
DROP TABLESPACE @DB_NAME@.AS2bc32;
DROP TABLESPACE @DB_NAME@.AS2bc33;
DROP TABLESPACE @DB_NAME@.AS2bc34;
DROP TABLESPACE @DB_NAME@.AS2bc35;
DROP TABLESPACE @DB_NAME@.AS2bc36;
DROP TABLESPACE @DB_NAME@.AS2bc37;
DROP TABLESPACE @DB_NAME@.AS2bc38;
DROP TABLESPACE @DB_NAME@.AS2bc39;
DROP TABLESPACE @DB_NAME@.AS2bc3A;
DROP TABLESPACE @DB_NAME@.AS2bc3B;
DROP TABLESPACE @DB_NAME@.AS2bc3C;
DROP TABLESPACE @DB_NAME@.AS2bc3D;
DROP TABLESPACE @DB_NAME@.AS2bc3E;
DROP TABLESPACE @DB_NAME@.AS2bc3F;
DROP TABLESPACE @DB_NAME@.AS2bc40;
DROP TABLESPACE @DB_NAME@.AS2bc41;
DROP TABLESPACE @DB_NAME@.AS2bc42;
DROP TABLESPACE @DB_NAME@.AS2bc43;
DROP TABLESPACE @DB_NAME@.AS2bc44;
DROP TABLESPACE @DB_NAME@.AS2bc45;
DROP TABLESPACE @DB_NAME@.AS2bc46;
DROP TABLESPACE @DB_NAME@.AS2bc47;
DROP TABLESPACE @DB_NAME@.AS2bc48;
DROP TABLESPACE @DB_NAME@.AS2bc49;
DROP TABLESPACE @DB_NAME@.AS2bc4A;
DROP TABLESPACE @DB_NAME@.AS2bc4B;
DROP TABLESPACE @DB_NAME@.AS2bc4C;
DROP TABLESPACE @DB_NAME@.AS2bc4D;
DROP TABLESPACE @DB_NAME@.AS2bc4E;
DROP TABLESPACE @DB_NAME@.AS2bc4F;
DROP TABLESPACE @DB_NAME@.AS2bc50;
DROP TABLESPACE @DB_NAME@.AS2bc51;
DROP TABLESPACE @DB_NAME@.AS2bc52;
DROP TABLESPACE @DB_NAME@.AS2bc53;
DROP TABLESPACE @DB_NAME@.AS2bc54;
DROP TABLESPACE @DB_NAME@.AS2bc55;
DROP TABLESPACE @DB_NAME@.AS2bc56;
DROP TABLESPACE @DB_NAME@.AS2bc57;
DROP TABLESPACE @DB_NAME@.AS2bc58;
DROP TABLESPACE @DB_NAME@.AS2bc59;
DROP TABLESPACE @DB_NAME@.AS2bc5A;
DROP TABLESPACE @DB_NAME@.AS2bc5B;
DROP TABLESPACE @DB_NAME@.AS2bc5C;
DROP TABLESPACE @DB_NAME@.AS2bc5D;
DROP TABLESPACE @DB_NAME@.AS2bc5E;
DROP TABLESPACE @DB_NAME@.AS2bc5F;
DROP TABLESPACE @DB_NAME@.AS2bc60;
DROP TABLESPACE @DB_NAME@.AS2bc61;
DROP TABLESPACE @DB_NAME@.AS2bc62;
DROP TABLESPACE @DB_NAME@.AS2bc63;
DROP TABLESPACE @DB_NAME@.AS2bc64;
DROP TABLESPACE @DB_NAME@.AS2bc65;
DROP TABLESPACE @DB_NAME@.AS2bc66;
DROP TABLESPACE @DB_NAME@.AS2bc67;
DROP TABLESPACE @DB_NAME@.AS2bc68;
DROP TABLESPACE @DB_NAME@.AS2bc69;
DROP TABLESPACE @DB_NAME@.AS2bc6A;
DROP TABLESPACE @DB_NAME@.AS2bc6B;
DROP TABLESPACE @DB_NAME@.AS2bc6C;
DROP TABLESPACE @DB_NAME@.AS2bc6D;
DROP TABLESPACE @DB_NAME@.AS2bc6E;
DROP TABLESPACE @DB_NAME@.AS2bc6F;
DROP TABLESPACE @DB_NAME@.AS2bc70;
DROP TABLESPACE @DB_NAME@.AS2bc71;
DROP TABLESPACE @DB_NAME@.AS2bc72;
DROP TABLESPACE @DB_NAME@.AS2bc73;
DROP TABLESPACE @DB_NAME@.AS2bc74;
DROP TABLESPACE @DB_NAME@.AS2bc75;
DROP TABLESPACE @DB_NAME@.AS2bc76;
DROP TABLESPACE @DB_NAME@.AS2bc77;
DROP TABLESPACE @DB_NAME@.AS2bc78;
DROP TABLESPACE @DB_NAME@.AS2bc79;
DROP TABLESPACE @DB_NAME@.AS2bc7A;
DROP TABLESPACE @DB_NAME@.AS2bc7B;
DROP TABLESPACE @DB_NAME@.AS2bc7C;
DROP TABLESPACE @DB_NAME@.AS2bc7D;
DROP TABLESPACE @DB_NAME@.AS2bc7E;
DROP TABLESPACE @DB_NAME@.AS2bc7F;


-- start import scheduler DDL: dropTablespaceDB2ZOS.ddl

DROP TABLESPACE @DB_NAME@.SCHEDTS;
DROP TABLESPACE @DB_NAME@.SCHEDTS1;
-- end import scheduler DDL: dropTablespaceDB2ZOS.ddl

