@ECHO OFF 
REM ---------------------------------------------------------------------------
REM
REM  
REM   Licensed Materials - Property of IBM
REM   5655-FLW (C) Copyright IBM Corporation 2006, 2010.
REM   All Rights Reserved.
REM   US Government Users Restricted Rights- 
REM   Use, duplication or disclosure restricted 
REM   by GSA ADP Schedule Contract with IBM Corp.
REM  
REM
REM ---------------------------------------------------------------------------
REM
REM   Batch-file to create the dbspaces for Informix
REM ---------------------------------------------------------------------------
REM  Before running this script, you need to replace all occurences of
REM  the replacement variables listed below with values appropriate for
REM  your environment. Replacement variables are of the form: @VARIABLE@.
REM  
REM  Note: if you do not find any replacement variables in this script 
REM        this step might be already completed by a pre-processor.
REM  
REM  @AUDITLOG@     = valid table space name
REM  @INSTANCE@     = valid table space name
REM  @STAFFQRY@     = valid table space name
REM  @TEMPLATE@     = valid table space name
REM  @WORKITEM@     = valid table space name
REM ---------------------------------------------------------------------------
REM   Before you start this batch-file, replace the parameter '&1' with the
REM   location of the initial chunks (for example C:\IFMXDATA\ix1) and make sure
REM   that they already exist. To execute 'onspaces' the Informix bin-directory
REM   needs to be on the path.
REM
REM   It is recommended to adjust the 'onspaces' parameters for the size and
REM   offset to the appropriate values.
REM

onspaces -c -d @AUDITLOG@ -p &1\@AUDITLOG@.dat -o 0 -s 102400

onspaces -c -d @INSTANCE@ -p &1\@INSTANCE@.dat -o 0 -s 512000

onspaces -c -d @STAFFQRY@ -p &1\@STAFFQRY@.dat -o 0 -s 10240

onspaces -c -d @TEMPLATE@ -p &1\@TEMPLATE@.dat -o 0 -s 102400

onspaces -c -d @WORKITEM@ -p &1\@WORKITEM@.dat -o 0 -s 51200
@ECHO ON 
