--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop tablespaces for Oracle 9i, 10g, 11g
----------------------------------------------------------------------
-- Before running this script, you need to replace all occurences of
-- the replacement variables listed below with values appropriate for
-- your environment. Replacement variables are of the form: @VARIABLE@.
-- 
-- Note: if you do not find any replacement variables in this script 
--       this step might be already completed by a pre-processor.
-- 
-- @AUDITLOG@     = valid table space name
-- @INSTANCE@     = valid table space name
-- @STAFFQRY@     = valid table space name
-- @TEMPLATE@     = valid table space name
-- @WORKITEM@     = valid table space name
-- @LOBTS@        = valid table space name
-- @INDEXTS@      = valid table space name
-- @SCHEDTS@      = valid table space name
----------------------------------------------------------------------
-- Start this script with SQL*Plus.
-- example: sqlplus scott/tiger@mydb @dropTablespace.sql


----------------------
-- Drop tablespaces --
----------------------

DROP TABLESPACE @AUDITLOG@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

DROP TABLESPACE @INSTANCE@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

DROP TABLESPACE @STAFFQRY@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

DROP TABLESPACE @TEMPLATE@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

DROP TABLESPACE @WORKITEM@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

DROP TABLESPACE @LOBTS@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;

DROP TABLESPACE @INDEXTS@ INCLUDING CONTENTS AND DATAFILES CASCADE CONSTRAINTS;



-- start import scheduler DDL: dropTablespaceOracle.ddl

DROP TABLESPACE @SCHEDTS@ INCLUDING CONTENTS;
-- end import scheduler DDL: dropTablespaceOracle.ddl

QUIT
