--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop schema in Microsoft SQL Server 2000
----------------------------------------------------------------------
-- Before running this script, you need to replace all occurences of
-- the replacement variables listed below with values appropriate for
-- your environment. Replacement variables are of the form: @VARIABLE@.
-- 
-- Note: if you do not find any replacement variables in this script 
--       this step might be already completed by a pre-processor.
-- 
-- @SCHEMA@       = schema name (user )
----------------------------------------------------------------------
-- Process this script using the isql command line processor
-- example: isql -U<userid> -P<password> -d<databasename> -i dropSchema.sql
--


----------------
-- Drop views --
----------------

DROP VIEW @SCHEMA@.PROCESS_TEMPLATE
go

DROP VIEW @SCHEMA@.PROCESS_TEMPL_ATTR
go

DROP VIEW @SCHEMA@.PROCESS_INSTANCE
go

DROP VIEW @SCHEMA@.PROCESS_ATTRIBUTE
go

DROP VIEW @SCHEMA@.ACTIVITY
go

DROP VIEW @SCHEMA@.ACTIVITY_ATTRIBUTE
go

DROP VIEW @SCHEMA@.EVENT
go

DROP VIEW @SCHEMA@.WORK_ITEM
go

DROP VIEW @SCHEMA@.ACTIVITY_SERVICE
go

DROP VIEW @SCHEMA@.QUERY_PROPERTY
go

DROP VIEW @SCHEMA@.QUERY_PROP_TEMPL
go

DROP VIEW @SCHEMA@.MIGRATION_FRONT
go

DROP VIEW @SCHEMA@.AUDIT_LOG
go

DROP VIEW @SCHEMA@.AUDIT_LOG_B
go

DROP VIEW @SCHEMA@.APPLICATION_COMP
go

DROP VIEW @SCHEMA@.TASK
go

DROP VIEW @SCHEMA@.TASK_TEMPL
go

DROP VIEW @SCHEMA@.ESCALATION
go

DROP VIEW @SCHEMA@.ESC_TEMPL
go

DROP VIEW @SCHEMA@.ESC_TEMPL_DESC
go

DROP VIEW @SCHEMA@.TASK_TEMPL_CPROP
go

DROP VIEW @SCHEMA@.ESC_TEMPL_CPROP
go

DROP VIEW @SCHEMA@.TASK_TEMPL_DESC
go

DROP VIEW @SCHEMA@.TASK_CPROP
go

DROP VIEW @SCHEMA@.TASK_DESC
go

DROP VIEW @SCHEMA@.ESCALATION_CPROP
go

DROP VIEW @SCHEMA@.TASK_HISTORY
go

DROP VIEW @SCHEMA@.ESCALATION_DESC
go

DROP VIEW @SCHEMA@.TASK_AUDIT_LOG
go

DROP VIEW @SCHEMA@.WORK_BASKET
go

DROP VIEW @SCHEMA@.WORK_BASKET_LDESC
go

DROP VIEW @SCHEMA@.WORK_BASKET_DIST_TARGET
go

DROP VIEW @SCHEMA@.BUSINESS_CATEGORY
go

DROP VIEW @SCHEMA@.BUSINESS_CATEGORY_LDESC
go

-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.SCHEMA_VERSION
go

DROP TABLE @SCHEMA@.PROCESS_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.PROCESS_TEMPLATE_ATTRIBUTE_B_T
go

DROP TABLE @SCHEMA@.SCOPE_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.SERVICE_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.ACTIVITY_SERVICE_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.SERVICE_LOCATION_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.SERVICE_FAULT_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.ACTIVITY_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.ALARM_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.FAULT_HANDLER_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.LINK_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.LINK_BOUNDARY_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.RESET_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.VARIABLE_MAPPING_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.VARIABLE_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.VARIABLE_STACK_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.ACTIVITY_FAULT_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.PARTNER_LINK_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.URI_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.CLIENT_SETTING_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.ASSIGN_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.CORRELATION_SET_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.CORRELATION_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.PROPERTY_ALIAS_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.EVENT_HANDLER_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.EHALARM_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.CUSTOM_EXT_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.CUSTOM_STMT_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.PROCESS_CELL_MAP_T
go

DROP TABLE @SCHEMA@.ACTIVITY_TEMPLATE_ATTR_B_T
go

DROP TABLE @SCHEMA@.FOR_EACH_TEMPLATE_B_T
go

DROP TABLE @SCHEMA@.GRAPHICAL_PROCESS_MODEL_T
go

DROP TABLE @SCHEMA@.QUERYABLE_VARIABLE_TEMPLATE_T
go

DROP TABLE @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T
go

DROP TABLE @SCHEMA@.IDMAPPING_TEMPLATE_T
go

DROP TABLE @SCHEMA@.CHANGE_GROUP_TEMPLATE_T
go

DROP TABLE @SCHEMA@.CHANGE_GROUP_IMPACT_TEMPLATE_T
go

DROP TABLE @SCHEMA@.MIGRATION_PLAN_VAR_TEMPLATE_T
go

DROP TABLE @SCHEMA@.REGION_TEMPLATE_T
go

DROP TABLE @SCHEMA@.REGION_CONTENT_TEMPLATE_T
go

DROP TABLE @SCHEMA@.CHANGE_TEMPLATE_T
go

DROP TABLE @SCHEMA@.STAFF_QUERY_TEMPLATE_T
go

DROP TABLE @SCHEMA@.PROCESS_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.SCOPE_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.ACTIVITY_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.VARIABLE_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.SCOPED_VARIABLE_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.STAFF_MESSAGE_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.EVENT_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.REQUEST_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.PARTNER_LINK_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.VARIABLE_SNAPSHOT_B_T
go

DROP TABLE @SCHEMA@.SUSPENDED_MESSAGE_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.CROSSING_LINK_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.INVOKE_RESULT_B_T
go

DROP TABLE @SCHEMA@.INVOKE_RESULT2_B_T
go

DROP TABLE @SCHEMA@.EVENT_HANDLER_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.CORRELATION_SET_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.CORRELATION_SET_PROPERTIES_B_T
go

DROP TABLE @SCHEMA@.UNDO_ACTION_B_T
go

DROP TABLE @SCHEMA@.CUSTOM_STMT_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.COMP_WORK_PENDING_B_T
go

DROP TABLE @SCHEMA@.COMP_PARENT_ACTIVITY_INST_B_T
go

DROP TABLE @SCHEMA@.RESTART_EVENT_B_T
go

DROP TABLE @SCHEMA@.PROGRESS_COUNTER_T
go

DROP TABLE @SCHEMA@.RELEVANT_SCOPE_ATASK_T
go

DROP TABLE @SCHEMA@.CONFIG_INFO_T
go

DROP TABLE @SCHEMA@.PROCESS_INSTANCE_ATTRIBUTE_T
go

DROP TABLE @SCHEMA@.PROCESS_CONTEXT_T
go

DROP TABLE @SCHEMA@.ACTIVITY_INSTANCE_ATTR_B_T
go

DROP TABLE @SCHEMA@.NAVIGATION_EXCEPTION_T
go

DROP TABLE @SCHEMA@.AWAITED_INVOCATION_T
go

DROP TABLE @SCHEMA@.STORED_QUERY_T
go

DROP TABLE @SCHEMA@.FOR_EACH_INSTANCE_B_T
go

DROP TABLE @SCHEMA@.QUERYABLE_VARIABLE_INSTANCE_T
go

DROP TABLE @SCHEMA@.SYNC_T
go

DROP TABLE @SCHEMA@.MV_CTR_T
go

DROP TABLE @SCHEMA@.MV_MODS_T
go

DROP TABLE @SCHEMA@.SAVED_ENGINE_MESSAGE_B_T
go

DROP TABLE @SCHEMA@.NAVIGATION_CLEANUP_TIMER_B_T
go

DROP TABLE @SCHEMA@.SCHEDULER_ACTION_T
go

DROP TABLE @SCHEMA@.QUERY_TABLE_T
go

DROP TABLE @SCHEMA@.QUERY_TABLE_REF_T
go

DROP TABLE @SCHEMA@.MIGRATION_FRONT_T
go

DROP TABLE @SCHEMA@.SCOPE_COMPLETION_COUNTER_T
go

DROP TABLE @SCHEMA@.AUDIT_LOG_T
go

DROP TABLE @SCHEMA@.WORK_ITEM_T
go

DROP TABLE @SCHEMA@.RETRIEVED_USER_T
go

DROP TABLE @SCHEMA@.RETRIEVED_GROUP_T
go

DROP TABLE @SCHEMA@.WIS_META_DATA_T
go

DROP TABLE @SCHEMA@.WIS_EMPTY_T
go

DROP TABLE @SCHEMA@.SHARED_WORK_ITEM_T
go

DROP TABLE @SCHEMA@.STAFF_QUERY_INSTANCE_T
go

DROP TABLE @SCHEMA@.STAFF_LOCK_T
go

DROP TABLE @SCHEMA@.APPLICATION_COMPONENT_T
go

DROP TABLE @SCHEMA@.ESCALATION_TEMPLATE_T
go

DROP TABLE @SCHEMA@.ESC_TEMPL_CPROP_T
go

DROP TABLE @SCHEMA@.ESC_TEMPL_LDESC_T
go

DROP TABLE @SCHEMA@.TTASK_MESSAGE_DEFINITION_T
go

DROP TABLE @SCHEMA@.TASK_TEMPLATE_T
go

DROP TABLE @SCHEMA@.TASK_TEMPL_CPROP_T
go

DROP TABLE @SCHEMA@.TASK_TEMPL_LDESC_T
go

DROP TABLE @SCHEMA@.TSERVICE_DESCRIPTION_T
go

DROP TABLE @SCHEMA@.TASK_CELL_MAP_T
go

DROP TABLE @SCHEMA@.TMAIL_T
go

DROP TABLE @SCHEMA@.COMPLETION_TEMPLATE_T
go

DROP TABLE @SCHEMA@.RESULT_AGGREGATION_TEMPLATE_T
go

DROP TABLE @SCHEMA@.ESCALATION_INSTANCE_T
go

DROP TABLE @SCHEMA@.ESC_INST_CPROP_T
go

DROP TABLE @SCHEMA@.ESC_INST_LDESC_T
go

DROP TABLE @SCHEMA@.EIDOCUMENTATION_T
go

DROP TABLE @SCHEMA@.ISERVICE_DESCRIPTION_T
go

DROP TABLE @SCHEMA@.TASK_INSTANCE_T
go

DROP TABLE @SCHEMA@.TASK_CONTEXT_T
go

DROP TABLE @SCHEMA@.CONTACT_QUERIES_T
go

DROP TABLE @SCHEMA@.UISETTINGS_T
go

DROP TABLE @SCHEMA@.REPLY_HANDLER_T
go

DROP TABLE @SCHEMA@.TASK_TIMER_T
go

DROP TABLE @SCHEMA@.TASK_INST_CPROP_T
go

DROP TABLE @SCHEMA@.TASK_INST_LDESC_T
go

DROP TABLE @SCHEMA@.TIDOCUMENTATION_T
go

DROP TABLE @SCHEMA@.ITASK_MESSAGE_DEFINITION_T
go

DROP TABLE @SCHEMA@.TASK_MESSAGE_INSTANCE_T
go

DROP TABLE @SCHEMA@.TASK_AUDIT_LOG_T
go

DROP TABLE @SCHEMA@.IMAIL_T
go

DROP TABLE @SCHEMA@.TASK_HISTORY_T
go

DROP TABLE @SCHEMA@.COMPLETION_INSTANCE_T
go

DROP TABLE @SCHEMA@.RESULT_AGGREGATION_INSTANCE_T
go

DROP TABLE @SCHEMA@.SAVED_TASK_MESSAGE_T
go

DROP TABLE @SCHEMA@.WORK_BASKET_T
go

DROP TABLE @SCHEMA@.WORK_BASKET_LDESC_T
go

DROP TABLE @SCHEMA@.WORK_BASKET_DIST_TARGET_T
go

DROP TABLE @SCHEMA@.BUSINESS_CATEGORY_T
go

DROP TABLE @SCHEMA@.BUSINESS_CATEGORY_LDESC_T
go


-- start import scheduler DDL: dropSchemaMSSQL.sql



DROP INDEX @SCHEMA@.[SCHED_TASK].[SCHED_TASK_IDX1]
GO

DROP INDEX @SCHEMA@.[SCHED_TASK].[SCHED_TASK_IDX2]
GO

DROP TABLE @SCHEMA@.[SCHED_TASK]
GO

DROP TABLE @SCHEMA@.[SCHED_TREG]
GO

DROP TABLE @SCHEMA@.[SCHED_LMGR]
GO

DROP INDEX @SCHEMA@.[SCHED_LMPR].[SCHED_LMPR_IDX1]
GO

DROP TABLE @SCHEMA@.[SCHED_LMPR]
GO

-- end import scheduler DDL: dropSchemaMSSQL.sql

